Bug 53815 - Tulip driver fails to work correctly with DFE-570TX NIC.
Tulip driver fails to work correctly with DFE-570TX NIC.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-19 11:37 EDT by Ben Greear
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 19:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Greear 2001-09-19 11:37:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
The Tulip driver does not auto-negotiate correctly with the DFE-570-TX
4-port 10/100bt NIC.  This driver problem was fixed in later kernels,
starting around 2.4.8 I believe..  Results of this bug are lots of
carrier errors and collisions on a link that should be 100bt-FD.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use DFE-570TX NIC with any auto-negotiating 100bt NIC/Switch.
2.
3.
	

Actual Results:  Carrier errors & collisions:  Bad auto-negotiation

Expected Results:  Sweet packet pushing at 100bt-FD.

Additional info:
Comment 1 Arjan van de Ven 2001-09-19 11:39:28 EDT
Could you try the tulip_old driver instead ?
(should be included in the latest roswell kernels)
Comment 2 Ben Greear 2001-09-19 12:16:40 EDT
I can find no tulip_old module in the 2.4.7-2 roswell kernel...

For what it's worth, the kernel's tulip driver never worked for the
DFE-570TX 4-port NIC in the entire 2.4 series up untill about 2.4.8
Comment 3 Ben Greear 2002-06-21 19:09:38 EDT
The driver works fine in RH 7.3, so I'd consider closing this bug.

Note You need to log in before you can comment on or make changes to this bug.